<h2 mat-dialog-title *ngIf="data !== null">Edit contact</h2>
<h2 mat-dialog-title *ngIf="data === null">Add contact</h2>
<mat-dialog-content class="mat-typography">
    <div fxLayout="row" fxLayoutAlign="center center" style="height: 100%;">
        <form [formGroup]="formGroup" fxLayout="column">
            <mat-form-field>
                <mat-label>First name</mat-label>
                <input matInput formControlName="firstName">
                <mat-error *ngIf="formControls.firstName.errors?.required">
                    First name is required.
                </mat-error>
            </mat-form-field>
            <mat-form-field>
                <mat-label>Last name</mat-label>
                <input matInput formControlName="lastName">
                <mat-error *ngIf="formControls.lastName.errors?.required">
                    Last name is required.
                </mat-error>
            </mat-form-field>
            <mat-form-field>
                <mat-label>Phone number</mat-label>
                <input matInput formControlName="phoneNumber">
                <mat-error *ngIf="formControls.email.errors && !formControls.phoneNumber.errors?.required">
                    Please enter a valid phone number eg. 0123456789
                </mat-error>
                <mat-error *ngIf="formControls.phoneNumber.errors?.required">
                    Phone number is required.
                </mat-error>
            </mat-form-field>
            <mat-form-field>
                <mat-label>Email</mat-label>
                <input matInput placeholder="Ex. unu@unu.unu" formControlName="email">
                <mat-error *ngIf="formControls.email.errors && !formControls.email.errors?.required">
                    Please enter a valid email address
                </mat-error>
                <mat-error *ngIf="formControls.email.errors?.required">
                    Email is required.
                </mat-error>
            </mat-form-field>

        </form>
    </div>
</mat-dialog-content>
<mat-dialog-actions align="end">
    <button mat-flat-button color="primary" [mat-dialog-close]="formGroup.value"
        [disabled]="!formGroup.valid" *ngIf="data !== null">SAVE</button>
    <button mat-flat-button color="primary" [mat-dialog-close]="formGroup.value"
        [disabled]="!formGroup.valid" *ngIf="data === null">ADD</button>
</mat-dialog-actions>